API referenceTemplates
Preview a template
POST
/templates/{id}/renderRenders the published version (or the draft) as a contact of the project or a sample contact, with your variables. Variables without a value render as [KEY] and are listed in missing.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/templates/string/render" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "rendered_template", "version_id": "string", "from": "string", "subject": "string", "preheader": "string", "html": "string", "text": "string", "missing": [ "string" ]}